# stdex: stdex::stream::cache::cache_t Struct Reference

Loading...
Searching...
No Matches
stdex::stream::cache::cache_t Struct Reference

## Public Types

enum class | status_t { empty = 0 , loaded , dirty }

## Public Member Functions

| cache_t (size_t _capacity)

## Public Attributes

uint8_t * | data
size_t | capacity
enum stdex::stream::cache::cache_t::status_t | status
interval< fpos_t > | region
| valid data region

The documentation for this struct was generated from the following file:

- include/stdex/stream.hpp